LISTMENU "MainMenu"
{
	IfGame(Doom, Chex)
	{
		StaticPatch 94, 2, "M_DOOM"
		Position 97, 72
		IfOption(ReadThis)
		{
			Position 97, 64
		}
	}
	IfGame(Strife)
	{
		StaticPatch 84, 2, "M_STRIFE"
		Position 97, 45
	}
	IfGame(Heretic)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 40, 10, "M_SKL01"
		StaticPatch 232, 10, "M_SKL00"
		Position 110, 56
	}
	IfGame(Hexen)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 37, 80, "FBULB0"
		StaticPatch 278, 80, "FBULA0"
		Position 110, 56
	}
	
	IfGame(Doom, Strife, Chex)
	{
		Font "DBIGFONT", "MenuWhite"
		TextItem "SinglePlayer", "s", "PlayerclassMenu"
		TextItem "Make-A-Class", "l", "Make-A-ClassMenu" // [Jax]
		TextItem "Multiplayer", "m", "ZA_MultiplayerOptions" // [Lego]
		TextItem "Player Setup", "p", "PlayerMenu"
		TextItem "Options", "o", "OptionsMenu"
		TextItem "Quit Game", "q", "QuitMenu"
	}
	
	IfGame(Heretic, Hexen)
	{
		TextItem "$MNU_NEWGAME", "n", "PlayerclassMenu"
		TextItem "$MNU_OPTIONS", "o", "OptionsMenu"
		TextItem "$MNU_GAMEFILES", "g", "GameFilesMenu"
		TextItem "$MNU_INFO", "i", "ReadThisMenu"
		TextItem "$MNU_QUITGAME", "q", "QuitMenu"
	}
}

OptionMenu "Make-a-ClassMenu"
{
    Title "Make A Class"
	StaticText     ""
	SubMenu "Mainfire", "ProjectCust"
	StaticText     ""
    SubMenu "Altfire", "AltProjectCust"
    StaticText ""
	Slider "Jump Height", "MAC_JumpHeight",8,20,1 
	//StaticText "Every jump point alters damage by 1"
	StaticText ""
	Slider "Movement Speed", "MAC_MovementSpeed",1,5,1 
	//StaticText "Every speed point alters damage by 2"
	StaticText ""
	Slider "Health", "MAC_Health",50,200,10 
	//StaticText "Every 10 health alters damage by 1"
	StaticText ""
	SubMenu "Cosmetics", "Cosmetics"
	StaticText "Change various visuals and sounds!"
	StaticText ""
	StaticText "All choices can increase or decrease your weapons"
	StaticText "damage proficiency. So be sure to not overdue your creation."
	StaticText "Consequences could be disastrous to your enjoyment."
	StaticText "Have fun :D"
	StaticText ""
	Option "Display Damage","MAC_DisplayDamage","YesNo"
	StaticText "This will display your damage of your shot in the corner"
	StaticText ""
	Option "Opt Out","MAC_OptOut","YesNo"
	StaticText "For all the Mega Fans who wanna just play normally"
	}

OptionMenu "Cosmetics"
{
Title "Cosmetics"
StaticText ""
Slider "Blue Character Color", "MAC_BlueColor", 0, 256, 1
StaticText "Pick a blue color replacement off the pallette!"
StaticText ""
Slider "Cyan Character Color", "MAC_CyanColor", 0, 256, 1
StaticText "Pick a cyan color replacement off the pallette!"
StaticText ""
Slider "Blue Main Shot Color", "MAC_BlueProjectileColor", 0, 256, 1
StaticText "Pick a blue color replacement for your main shot!"
StaticText ""
Slider "Cyan Main Shot Color", "MAC_CyanProjectileColor", 0, 256, 1
StaticText "Pick a cyan color replacement for your main shot!"
StaticText ""
Slider "Blue Alt Shot Color", "MAC_AltBlueProjectileColor", 0, 256, 1
StaticText "Pick a blue color replacement for your alt shot!"
StaticText ""
Slider "Cyan Alt Shot Color", "MAC_AltCyanProjectileColor", 0, 256, 1
StaticText "Pick a cyan color replacement for your alt shot!"
StaticText     ""
Option "Fire Sound Select", "MAC_FireSoundSelect", "FireSoundOptions"
StaticText "Changes the sound of the projectile firing!"
StaticText ""
Option "Alt Fire Sound Select", "MAC_AltFireSoundSelect", "FireSoundOptions"
StaticText "Changes the sound of the alt projectile firing!"
StaticText ""
}

OptionMenu "ProjectCust"
{
Title "Projectile Customization"
StaticText     ""
Option "Ammo Regen", "MAC_AmmoRegen", "AmmoRegenOptions"
StaticText "Changes your speed of ammo regeneration!"
StaticText ""
Option "Fire Type", "MAC_Firetype", "FireTypeOptions"
StaticText "Changes your style of firing!"
StaticText ""
Option "Projectile Movement", "MAC_ProjectileMovement", "ProjectileMovementOptions"
StaticText "Changes your projectiles movement capability!"
StaticText ""
Option "On Collison", "MAC_OnCollision", "OnCollisionOptions"
StaticText "Changes what your projectile does on collision of a object!"
StaticText ""
Option "Fire Alteration", "MAC_FireAlteration", "FireAlterationOptions"
StaticText "Changes your weapon in a small way!"
StaticText ""
Option "Damage Type", "MAC_DamageType", "DamageTypeOptions"
StaticText "Changes your damage type of your shot!"
StaticText ""
Slider "Shot Speed", "MAC_ProjectileSpeed",10,80,10 
StaticText "Changes the projectiles speed"
StaticText ""
Slider "Travel Time", "MAC_TravelTime", 0, 40, 1
StaticText "How far your shot goes! (0 is forever!)"
StaticText ""
Option "Bounce","MAC_Bounce","YesNo"
StaticText "Changes the Projectile into a bouncing shot!"
StaticText ""
Option "Ripper","MAC_Ripper","YesNo"
StaticText "Changes the Projectile into a ripping shot!"
StaticText ""
Option "Floor Crawler","MAC_FloorCrawler","YesNo"
StaticText "Changes the Projectile into a floor crawling shot!"
}

OptionMenu "AltProjectCust"
{
Title "AltFire Customization"
StaticText ""
Option "Altfire", "MAC_Altfire", "AltFireOptions"
StaticText "Changes your Altfire!"
StaticText ""
StaticText "This Section only affects the Alt Custom Shot option"
Option "Ammo Regen", "MAC_AltAmmoRegen", "AmmoRegenOptions"
StaticText "Changes your speed of ammo regeneration!"
StaticText ""
Option "Fire Type", "MAC_AltFiretype", "FireTypeOptions"
StaticText "Changes your style of firing!"
StaticText ""
Option "Projectile Movement", "MAC_AltProjectileMovement", "ProjectileMovementOptions"
StaticText "Changes your projectiles movement capability!"
StaticText ""
Option "On Collison", "MAC_AltOnCollision", "OnCollisionOptions"
StaticText "Changes what your projectile does on collision of a object!"
StaticText ""
Option "Fire Alteration", "MAC_AltFireAlteration", "FireAlterationOptions"
StaticText "Changes your weapon in a small way!"
StaticText ""
Option "Damage Type", "MAC_AltDamageType", "DamageTypeOptions"
StaticText "Changes your damage type of your shot!"
StaticText ""
Slider "Shot Speed", "MAC_AltProjectileSpeed",10,80,10 
StaticText "Changes the projectiles speed"
StaticText ""
Slider "Travel Time", "MAC_AltTravelTime", 0, 40, 1
StaticText "How far your shot goes! (0 is forever!)"
StaticText ""
Option "Bounce","MAC_AltBounce","YesNo"
StaticText "Changes the Projectile into a bouncing shot!"
StaticText ""
Option "Ripper","MAC_AltRipper","YesNo"
StaticText "Changes the Projectile into a ripping shot!"
StaticText ""
Option "Floor Crawler","MAC_AltFloorCrawler","YesNo"
StaticText "Changes the Projectile into a floor crawling shot!"
StaticText ""
}

OptionValue YesNo
{
0, "No"
1, "Yes"
}

OptionValue AmmoRegenOptions
{
-1,"Random"
0, "Very Slow"
1, "Slow"
2, "Normal"
3, "Fast"
4, "Very Fast"
}

OptionValue FireTypeOptions
{
-1,"Random"
0, "Nothing"
1, "Snipe"
2, "Rapid"
3, "Shotgun"
}
OptionValue ProjectileMovementOptions
{
-1, "Random"
0, "Nothing"
1, "Velocity"
2, "Arcing"
3, "Guided"
4, "Rising"
//4, "Homing"
}
OptionValue OnCollisionOptions
{
-1, "Random"
0, "Nothing"
1, "Explosion"
2, "Split"
3, "Boomerang"
}

OptionValue FireAlterationOptions
{
-1, "Random"
0, "Nothing"
1, "Recoil"
2, "RevUp"
//3, "Ripper" lol
}

OptionValue DamageTypeOptions
{
-1, "Random"
0, "Nothing"
1, "Ice"
2, "Spark"
3, "Slow"
4, "Wind"
}

OptionValue AltfireOptions
{
-1, "Random"
0, "Nothing"
1, "Dash Boost"
2, "Flight Boost"
3, "Energy Absorber"
4, "Second Custom Shot"
}

OptionValue FireSoundOptions
{
1, "Mega Buster"
2, "Middle Charge Shot"
3, "Charge Shot"
4, "Oil Shot"
5, "Rolling Cutter"
6, "Fire Storm"
7, "Hyper Bomb"
8, "Thunder Beam"
9, "Ice Slasher"
10, "Super Arm"
11, "Leaf Shield"
12, "Air Shooter"
13, "Metal Blade"
14, "Atmoic Fire"
15, "Spark Shock"
16, "Gemini Laser"
17, "Magnet Missile"
18, "Top Spin"
19, "Shadow Blade"
20, "Pharaoh Shot"
21, "Pharoah Shot Charged"
22, "Ring Boomerang"
23, "Drill Bomb"
24, "Gravity Hold"
25, "Water Wave"
26, "Power Stone"
27, "Gyro Attack"
28, "Charge Kick"
29, "Danger Wrap"
30, "Wild Coil"
31, "Wild Coil Charged"
32, "Noise Crush"
33, "Thunder Bolt"
34, "Slash Claw"
35, "Mega Ball"
36, "Water Balloon"
37, "Thunder Claw"
38, "Flame Sword"
39, "Ice Wave"
40, "Magic Card"
41, "Spread Drill Large"
42, "Spread Drill Medium"
43, "Spread Drill Small"
44, "Tengu Blade"
45, "Ice Wall"
46, "Wave Burner"
47, "Plug Ball"
48, "Hornet Chaser"
49, "Magma Bazooka"
50, "Jewel Sattlite"
51, "Concrete Shot"
52, "Laser Trident"
53, "Revolver Buster"
54, "Triple Blade"
55, "Thunder Wool"
56, "Thunder Wool Lightning"
57, "Commando Bomb"
58, "Rebound Striker"
59, "Wheel Cutter"
60, "Chill Spike"
61, "Solar Blaze"
62, "Water Shield"
63, "Spark Chaser"
64, "Bubble Bomb"
65, "Electric Shock"
66, "Deep Digger"
67, "Break Dash"
68, "Grab Buster"
69, "Mirror Buster Small"
70, "Mirror Buster Big"
71, "Ballade Cracker"
72, "Screw Crusher" 
}